Fails to run properly: TypeError: QPen(): argument 1 has unexpected type 'QBrush'

Bug #1513757 reported by Timo Aaltonen on 2015-11-06
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
frescobaldi (Ubuntu)
Undecided
Unassigned
Wily
Undecided
Timo Aaltonen

Bug Description

Launching the app pops up an error dialog showing:

Traceback (most recent call last):
  File "/usr/share/frescobaldi/frescobaldi_app/widgets/charmap.py", line 141, in paintEvent
    text_pen = QPen(self.palette().text())
TypeError: QPen(): argument 1 has unexpected type 'QBrush'

closing the dialog just brings it back again, thus the app can't be used at all.

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: frescobaldi 2.18.1+ds1-2
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Uname: Linux 4.2.0-16-generic x86_64
ApportVersion: 2.19.1-0ubuntu4
Architecture: amd64
CurrentDesktop: Unity
Date: Fri Nov 6 10:41:14 2015
InstallationDate: Installed on 2012-11-07 (1093 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
JournalErrors:
 No journal files were found.
 -- No entries --
PackageArchitecture: all
SourcePackage: frescobaldi
UpgradeStatus: Upgraded to wily on 2015-09-07 (59 days ago)

Timo Aaltonen (tjaalton) wrote :
Timo Aaltonen (tjaalton) wrote :
Changed in frescobaldi (Ubuntu Wily):
assignee: nobody → Timo Aaltonen (tjaalton)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package frescobaldi - 2.18.1+ds1-2ubuntu1

---------------
frescobaldi (2.18.1+ds1-2ubuntu1) xenial; urgency=medium

  * fix-typeerror-qbrush.diff: Fix failure on startup. (LP: #1513757)

 -- Timo Aaltonen <email address hidden> Fri, 06 Nov 2015 10:47:17 +0200

Changed in frescobaldi (Ubuntu):
status: New → Fix Released
Anthony Fok (foka) wrote :

Thank you Timo for fixing this bug in Ubuntu.

I had not encountered this bug at all until I decided dug deeper today.
It is only triggered when the character map (charmap) widget is enabled.

To reproduce, go to "Tools → Special Characters" from the top menu,
or press Meta-Alt-T, which corresponds to Win-Alt-T on my notebook,
and an "Internal Error" dialog box will pop up, just as Timo had described.

I will backport this fix to Debian soon. Thanks again!

Cheers,
Anthony

Hello Timo, or anyone else affected,

Accepted frescobaldi into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/frescobaldi/2.18.1+ds1-2ubuntu1~wily1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in frescobaldi (Ubuntu Wily):
status: In Progress → Fix Committed
tags: added: verification-needed

The fix for this bug has been awaiting testing feedback in the -proposed repository for wily for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
Timo Aaltonen (tjaalton) on 2016-02-12
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package frescobaldi - 2.18.1+ds1-2ubuntu1~wily1

---------------
frescobaldi (2.18.1+ds1-2ubuntu1~wily1) wily; urgency=medium

  * fix-typeerror-qbrush.diff: Fix failure on startup. (LP: #1513757)

 -- Timo Aaltonen <email address hidden> Fri, 06 Nov 2015 10:47:17 +0200

Changed in frescobaldi (Ubuntu Wily):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for frescobaldi has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers